#include <iostream>
#include <utility>  // For std::move

int main() {
    int a = 42;
    int&& r = std::move(a);  // 'std::move(a)' produces an xvalue

    r = 100;  // Modifying the xvalue 'r'

    std::cout << "a: " << a << std::endl;  // 'a' may be in an unspecified state
    std::cout << "r: " << r << std::endl;

    //GE std::cout << &a << std::endl;  // 'a' may be in an unspecified state
    //GE std::cout << &r << std::endl;

    return 0;
}

